Subject: bug#458: [PATCH] Restrain the load message when emacs running with --script option

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 9 Jul 2009 14:51:44 -0700 (PDT)

Joe Wells <[email-masked]> writes:

  > Chong Yidong <[email-masked]> writes:
  > 
  > > Joe Wells <[email-masked]> writes:
  > >
  > >> For example, I have an Emacs script that prints these messages in the
  > >> middle of its run:
  > >>
  > >>   Loading subst-ksc...
  > >>   Loading subst-gb2312...
  > >>   Loading subst-big5...
  > >>   Loading subst-jis...
  > >>
  > >> These are not files I loaded directly.  Some package which is not
  > >> under the control of ordinary users is loading them.
  > >
  > > Could you find out which package is performing this noisy loading?
  > > Normally, packages should use `require', which does not emit messages
  > > when loading.
  > 
  > Sorry, don't have time to track this down.  Other packages have other
  > problems.  For example, on another system, I have a Emacs script that
  > emits these messages:
  > 
  >   Loading /usr/share/emacs/site-lisp/site-start.d/auctex-init.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/auctex.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/ess-init.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/focus-init.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/igrep-init.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/logo-mode.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/php-mode-init.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/po-mode-init.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/preview-latex.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/psgml-init.el (source)...
  >   Loading /usr/share/emacs/site-lisp/site-start.d/rpm-spec-mode-init.el (source)...
  >   Loading /usr/local/share/emacs/site-lisp/sml-mode/sml-mode-startup.el (source)...

These looks like a Fedora (or RedHat system) system, site-start.el loads
these files.
site-start.el is not provided by emacs, but by the distribution.
You can ask them to use the NOMESSAGE argument to `load' ...